/**
 * -------------------------------------------------------------------------
 *  Micro Reset
 * -------------------------------------------------------------------------
*/

*, *:before, *:after {
    box-sizing: inherit;
}

html {
    box-sizing: border-box;
    font-size: 100%;
    -webkit-text-size-adjust: none;
            text-size-adjust: none;
}

body {
    margin: 0;
    padding: 0;
}

form, fieldset, legend {
    margin: 0;
    padding: 0;
}

button, input, select, textarea, label {
    margin: 0;
    padding: 0;
    font-family: inherit;
    font-size: inherit;
}

img {
    border: 0;
    max-width: 100%;
}

a {
    outline: none;
}

/**
 * -------------------------------------------------------------------------
 *  Fonts
 * -------------------------------------------------------------------------
*/

@font-face {
    font-family: 'Crimson Text';
    font-style: normal;
    font-weight: 400;
    src: local('Crimson Text Regular'),
        local('CrimsonText-Regular'),
        url(fonts/CrimsonText-Regular.woff2) format('woff2'),
        url(fonts/CrimsonText-Regular.ttf) format('truetype');
}

@font-face {
    font-family: 'Crimson Text';
    font-style: italic;
    font-weight: 400;
    src: local('Crimson Text Italic'),
        local('CrimsonText-Italic'),
        url(fonts/CrimsonText-Italic.woff2) format('woff2'),
        url(fonts/CrimsonText-Italic.ttf) format('truetype');
}

 @font-face {
    font-family: 'Crimson Text';
    font-style: normal;
    font-weight: 700;
    src: local('Crimson Text Bold'),
        local('CrimsonText-Bold'),
        url(fonts/CrimsonText-Bold.woff2) format('woff2'),
        url(fonts/CrimsonText-Bold.ttf) format('truetype');
}

@font-face {
    font-family: 'Crimson Text';
    font-style: italic;
    font-weight: 700;
    src: local('Crimson Text Bold Italic'),
        local('CrimsonText-BoldItalic'),
        url(fonts/CrimsonText-BoldItalic.woff2) format('woff2'),
        url(fonts/CrimsonText-BoldItalic.ttf) format('truetype');
}

/**
 * -------------------------------------------------------------------------
 *  Typography
 * -------------------------------------------------------------------------
*/

body {
    font-size: 17px;
    color: black;
    font-family: 'Crimson Text', Georgia, serif;
    line-height: 1.75;
}

h1 {
    padding: 0;
    margin: 100px 0 40px;
    line-height: 1.25;
    font-size: 32px;
    font-weight: normal;
    text-align: center;
}

h2 {
    padding: 0;
    margin: 90px 0 35px;
    line-height: 1.25;
    font-size: 23px;
    font-weight: bold;
    padding-bottom: 5px;
    border-bottom: 1px solid #ccc;
}

h3, h4, h5, h6 {
    padding: 0;
    margin: 80px 0 30px;
    line-height: 1.25;
    text-align: left;
    font-size: 19px;
    font-weight: bold;
}

p {
    margin: 25px 0;
    padding: 0;
    text-align: justify;
    overflow-wrap: break-word;
}

blockquote {
    margin: 50px 30px;
    padding-left: 20px;
    border-left: 2px solid #ddd;
    font-style: italic;
}

.blockquote-caption {
    text-align: right;
    margin: -25px 30px 50px;
}

abbr[title] {
    border-bottom: 1px dotted;
    cursor: help;
}

sup, sub {
    font-size: 75%;
    line-height: 0;
    position: relative;
    vertical-align: baseline;
}

sup {
    bottom: 1.5ex;
}

sub {
    top: .5ex;
}

/**
 * Code
*/

pre, code {
    font-size: 13px;
    font-family: Courier, monospace;
}

code {
    margin: 0 2px;
    padding: 2px 5px;
    white-space: nowrap;
    border: 1px solid #e8e8e8;
    background-color: #f8f8f8;
}

pre {
    margin: 40px 0;
    padding: 16px 20px;
    border-top: 1px dotted #bbb;
    border-bottom: 1px dotted #bbb;
    background-color: #f8f8f8;
    overflow: auto;
    line-height: 1.5;
}

h1 code {
    font-size: 26px;
}

dt pre {
    margin: 0 2px;
    padding: 1px 5px;
    border: 1px solid #e8e8e8;
    border-radius: 3px;
    background-color: #f8f8f8;
}

.pre-copy-wrapper {
    position: relative;
}

.pre-copy-wrapper button {
    padding: 6px;
    background: transparent;
    border: none;
    position: absolute;
    top: 12px;
    right: 10px;
    opacity: 0.3;
    cursor: pointer;
    color: black;
    font-size: 12px;
    font-family: Consolas, monospace;
    display: none;
    margin: 0;
}

.pre-copy-wrapper:hover button {
    display: block;;
}

.pre-copy-wrapper button:hover {
    opacity: 0.6;
}

/**
 * Lists
*/

ul, ol {
    margin: 35px 0;
    padding: 0 0 0 20px;
}

ul ul, ol ol, ul ol, ol ul {
    margin: 10px 10px;
}

li {
    margin: 6px 0;
    padding: 0;
}

dl {
    margin: 60px 0;
    padding: 0;
}

dt {
    margin: 60px 0 25px;
    padding: 0;
    font-weight: bold;
}

dd {
    margin: 25px 0px;
    padding: 0 20px;
    border-left: 1px solid #ddd;
}

dl p {
    text-align: left;
}

/**
 * Links
*/

a {
    color: black;
    text-decoration: none;
    padding-bottom: 2px;
    border-bottom: 1px solid;
}

sup a {
    border-bottom: none;
}

/**
 * Miscellanea
*/

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid;
    margin: 70px auto;
    padding: 0;
    max-width: 300px;
}

img {
    margin: 40px auto;
    display: block;
}

figure {
    margin: 60px auto;
}

figcaption {
    text-align: center;
    font-style: italic;
}

/**
 * -------------------------------------------------------------------------
 *  Layout
 * -------------------------------------------------------------------------
*/

html {
    height: 100%;
}

body {
    min-height: 100%;
    display: flex;
    flex-direction: column;
    padding: 40px;
}

#page-head, #page-title, #page-content, #page-foot {
    max-width: 740px;
    width: 100%;
    margin: 0 auto;
    border-left: 1px solid #ccc;
    border-right: 1px solid #ccc;
}

.line {
    max-width: 840px;
    width: 100%;
    margin: 0 auto;
    border-bottom: 1px solid #ccc;
}

#page-head {
    height: 50px;
}

#page-title {
    padding: 60px 80px;
}

#page-content {
    padding: 1px 80px 1px;
    flex: 1 0 auto;
}

#page-foot {
    height: 50px;
}

/**
 * -------------------------------------------------------------------------
 *  Menu
 * -------------------------------------------------------------------------
*/

#page-head {
    font-size: 16px;
    text-align: right;
    line-height: 50px;
    padding: 0 25px;
}

#page-head a {
    display: inline-block;
    padding: 0 15px;
    border: none;
    font-weight: bold;
    color: #444;
}

#page-head a:hover, #page-head a:focus {
    color: black;
}

/**
 * -------------------------------------------------------------------------
 *  Title
 * -------------------------------------------------------------------------
*/

#page-title h1 {
    margin: 0;
}

#page-title p {
    font-style: italic;
    text-align: center;
    margin-top: 40px;
    margin-bottom: 0;
}

/**
 * -------------------------------------------------------------------------
 *  Footer
 * -------------------------------------------------------------------------
*/

#page-foot {
    line-height: 50px;
    font-size: 15px;
    font-style: italic;
    text-align: center;
}

#page-foot a {
    border: none;
    color: #999;
}

#page-foot a:hover {
    color: #666;
}

/**
 * -------------------------------------------------------------------------
 *  Content
 * -------------------------------------------------------------------------
*/

#page-content > :first-child {
    margin-top: 70px;
}

#page-content > :last-child {
    margin-bottom: 75px;
}

body.narrow-content #page-content {
    padding-left: 120px;
    padding-right: 120px;
}

body.extra-deflist-vspace dt {
    margin-top: 80px;
}

/**
 * Info Boxes
*/

.infobox {
    margin: 60px 20px;
    border: 1px solid;
    padding: 0 30px;
    border-color: #bbb;
    background-color: #f8f8f8;
}

.infobox.blue {
    border-color: #bac6d3;
    background-color: #e2eef9;
}

.infobox.yellow {
    border-color: #dfd8c2;
    background-color: #fff9ea;
}

.infobox.red {
    border-color: #d2b2b2;
    background-color: #fcdede;
}

.infobox.green {
    border-color: #B2C2AB;
    background-color: #DEF2D6;
}

/**
 * Footnotes
*/

sup.footnote {
    padding: 0 .75ex;
}

.footnote a {
    border: none;
}

.footnote a::before {
    content: "[";
}

.footnote a::after {
    content: "]";
}

.footnotes dt {
    display: table-cell;
    width: 40px;
    text-align: right;
    font-weight: normal;
}

.footnotes dt a {
    padding: 0;
    border: none;
}

.footnotes dt a::before {
    content: "[";
}

.footnotes dt a::after {
    content: "]";
}

.footnotes dd {
    display: table-cell;
    padding-left: 20px;
    padding-right: 0px;
    border: none
}

.footnotes dd :first-child {
    margin-top: 0;
}

/**
 * Tables
*/

table {
    font-size: 16px;
    border-collapse: collapse;
    border-spacing: 0;
    margin: 50px 0px;
    width: 100%;
}

thead, tfoot {
    background-color: #f8f8f8;
}

th, td {
    border: 1px solid #ccc;
    padding: 14px 20px;
    text-align: left;
}

/**
 * Forms
*/

form {
    max-width: 500px;
    margin: 0 auto;
}

form label {
    display: block;
    margin-top: 45px;
    margin-bottom: 10px;
}

input[type=text], input[type=email] {
    display: block;
    width: 100%;
    padding: 8px 10px;
    border: 1px solid #ccc;
    border-radius: 3px;
}

textarea {
    display: block;
    width: 100%;
    padding: 10px 10px;
    border: 1px solid #ccc;
    border-radius: 3px;
}

button {
    cursor: pointer;
    margin-top: 50px;
    padding: 10px 20px;
    background-color: #f8f8f8;
    border: 1px solid #ccc;
    border-radius: 3px;
}

button:hover {
    background-color: #eee;
}

input[name=subject], input[name=nonce] {
    display: none;
}

/**
 * Utility Styles
*/

.small {
    font-size: 16px;
}

.left {
    text-align: left;
}

.right {
    text-align: right;
}

.center {
    text-align: center;
}

.justify {
    text-align: justify;
}

.bold {
    font-weight: bold;
}

.italic {
    font-style: italic;
}

.indent {
    padding-left: 40px;
    padding-right: 40px;
}

dl .indent {
    padding-left: 20px;
    padding-right: 20px;
}

.unselectable {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.hidden {
    display: none;
}

/**
 * Blog Index
*/

.blog-index-entry {
    display: table-row;
}

.blog-index-date {
    display: table-cell;
}

.blog-index-date span {
    font-size: 13px;
    font-family: Courier, monospace;
    padding: 2px 5px;
    white-space: nowrap;
    border: 1px solid #e8e8e8;
    background-color: #f8f8f8;
}

.blog-index-title {
    display: table-cell;
    padding-left: 20px;
    padding-bottom: 20px;
}

/**
 * -------------------------------------------------------------------------
 *  Media Queries
 * -------------------------------------------------------------------------
*/

@media screen and (min-width: 680px) {
    #page-head .hide-on-desktop {
        display: none;
    }
}

@media screen and (max-width: 680px) {
    body {
        font-size: 16px;
        padding: 40px 40px 0;
    }

    h1 {
        font-size: 28px;
    }

    h2 {
        font-size: 18px;
    }

    h3, h4, h5, h6 {
        font-size: 16px;
    }

    pre, code {
        font-size: 12px;
    }

    p {
        text-align: left;
    }

    .small {
        font-size: 15px;
    }

    #page-head {
        border-left: none;
        border-right: none;
        border-top: 1px solid black;
        border-bottom: 1px solid black;
        text-align: center;
    }

    #page-title {
        padding: 60px 0px;
        border-left: none;
        border-right: none;
        border-bottom: 1px solid black;
    }

    #page-content {
        padding: 1px 0px 1px;
        border-left: none;
        border-right: none;
    }

    body.narrow-content #page-content {
        padding-left: 10px;
        padding-right: 10px;
    }

    .line {
        display: none;
    }

    #page-foot {
        display: none;
    }

    .footnotes dt {
        width: 30px;
    }

    #page-head .hide-on-mobile {
        display: none;
    }

    .indent {
        padding-left: 20px;
        padding-right: 20px;
    }

    blockquote {
        margin-left: 0;
        margin-right: 20px;
        border-left: 1px solid #ddd;
    }

    .blockquote-caption {
        margin-left: 0;
        margin-right: 20px;
    }

    .infobox {
        margin-left: 0;
        margin-right: 0;
    }

    .pre-copy-wrapper button {
        font-size: 11px;
    }

    .blog-index-date {
        display: none;
    }

    .blog-index-title {
        padding-left: 0;
    }
}
